Introduction

Welcome to HTML Album Generator

HTML Album Generator, a command extension plug-in for ACD digital-imaging products, quickly generates thumbnails of images, and HTML Web pages for online photo albums.

To start from ACDSee 4.0, follow these steps:

  1. Select one or more images in ACDSee.

  2. Click Tools | Activities.

  3. In the Share category, select HTML.

To start from PicaView, follow these steps:

  1. Select one or more images in Windows® Explorer™.

  2. Right-click the selection, and select Plug-ins | HTML Album Generator.


Using Help Tools

To access the help file:

Click Help.

Toolbar Buttons

Hide/Show: | Click the icon to close or open the left tabs of the help file window.
Back/Forward: | Click the icons to navigate to a topic that you have previously viewed.
Print: | Click the icon to send a copy of the topic you are viewing in the right pane to your default printer.
ACD Systems: | Click the ACD Systems button to go to ACD's Web site at: www.ACDSYSTEMS.com.

Navigation pane

Contents: | Double-click a book to display its sub-books and pages, or double-click a page to view its information in the right pane.
Index: | Type in keywords or phrases to find topics associated with these terms. To view the topic, select the keyword, and click Display.
Search: | Type the words you want to search for and click List Topics to find topics containing these words. When you want to view a topic, select it and click Display.
Favorites: | When a frequently used topic is displayed in the right pane, click Add. To view a topic from the list of your favorite topics, select it and click Display.

Context-sensitive help (what’s this?)

With certain application windows, you have the option of clicking the [image] button located in the upper-right corner of the window.

This button changes your mouse into the [What’s this?] [image] pointer. Point to the field in question to access a brief explanation.

You can also access the same information by clicking a field with the right mouse button. However, this method does not work with text boxes.


Creating an Album

The following is an overview of how to create an HTML album.

To create an album, follow these steps:

  1. Start the HTML Album Generator.

  2. In the Format field, click the drop-down arrow and select a file extension. This file extension is used when saving the created thumbnails. The HTML Album Generator saves to any image format that ACDSee encodes.

  3. In the Thumbnail Image area, click the Size spin box arrows to adjust the size of the thumbnails.

  4. In the Page Settings area, click the Size spin box arrows to adjust the number of columns and rows to display thumbnails.

  5. Click Page Colors and do the following:

    1. Click the appropriate [image] to open the Web Color Palette.

    2. Select a color.

    3. Click OK.

    4. Repeat Steps i through iii until all desired color properties have been set.

    5. Click OK when finished.

  6. In the Title field, type a title to display inside the photo album. The drop-down arrow contains a history of previously used titles.

  7. Adjust the remaining settings as desired. For more information on these settings, see Album Generator Properties.

  8. Click OK.


Adjusting Settings

The following is a brief description of the HTML Album Generator settings.

Thumbnail Image

Format | Specifies the image format for saving thumbnails. It is recommended that you use JPG for photographs and GIF or PNG for artwork.
Size | Specifies the size of the column and rows of thumbnails in pixels.
Settings | Modifies the settings of the selected image format (if applicable).

Page Settings

Size | Specifies the number of images in each column and row in the album.
Title | Specifies the title inside the album.
Page Colors | Changes the colors used in the album.

Output

Folder | Specifies the folder that the album will be stored in.
Overwrite | Specifies whether or not HTML Album Generator will overwrite existing album files.
Copy source images to output folder | Copies all original images into the folder that houses the new thumbnails.
Launch web browser to view output when done | Launches a web browser to automatically view your completed HTML album.

Image Links

Source Prefix | Specifies the type of text that prefixes links to images. None: No prefix is added to the image link. File Path: The complete file path prefixes the image link. Custom: A custom prefix is used in the image link.
Thumbnail Prefix | Specifies the type of text that prefixes links to thumbnails. None: No prefix is added to the thumbnail link. File Path: The complete file path prefixes the thumbnail link. Custom: A custom prefix is used in the thumbnail link.


File Generation

The following briefly explains how HTML Album Generator creates files.

HTML Pages

When you create an HTML album, HTML pages are generated based on the number of images selected, as well as the number of rows and columns specified. The following format is used for naming HTML pages:

pagexx.htm

Where ‘xx’ equals the page number.

For example, if you select enough images to fill three pages, the following files will exist:

page01.htm, page02.htm, page03.htm

Note:

If you want to change the name of an HTML file (when there are multiple pages), you need to change the name within the HTML source code.

Thumbnails

A thumbnail is created for each image in an album. Thumbnails are sized to reflect the aspect ratio of the original image.

The thumbnail is named to show it's relation with the original image. The file extension of the original image will be added to the beginning of the file name. The thumbnail is then saved using the file extension specified in the HTML Album Generator dialog box.

Example:

jpgacd001.gif

The name of the thumbnail created from ACD001.JPG. The GIF file extension was selected.

Note:

When using an HTML album in a web page, you will need to place all thumbnail files, as well as the original images, on the server that contains your web page files.


Contacting ACD Systems

For the most recent contact information, please visit our Web site at:

www.ACDSYSTEMS.com/english/company/contact-us/

Global Service and Support

ACD Systems provides a number of ways to assist you when you require support or further information.

  • Technical Support and Feedback

  • Language Support

  • Newsletter and Subscription

Getting Updates

You may download software updates from:

www.ACDSYSTEMS.com/english/support/productupdates/

For up-to-date information on this and other products from ACD Systems click the ACD Systems button on the top of the toolbar. If you are not connected to the Internet, you can try another time.

Our Web site address is www.ACDSYSTEMS.com.


How to Purchase

For pricing information or to order online, visit our store: www.ACDSYSTEMS.com/english/store/

If you are part of a business and wish to use several copies of this product within your company, greatly reduced site licensing rates are available.

For more information, see Corporate Sales & Site Licensing.

Other Ways to Purchase

For your convenience and protection, we provide these secure methods of ordering:

  • Purchasing by Telephone

  • Purchasing by Mail or Fax

About the Trial Version

If you are running this program as a free trial version, the program will be disabled twenty-five days after installation.


.topic 14
Specifies the maximum height (in pixels) of the thumbnails.

.topic 13
Specifies the maximum width (in pixels) of the thumbnails.

.topic 7
Specifies the type of text that prefixes the link to the images. See the help file for more information on the available options.

.topic 19
Causes the program to ask for confirmation before overwriting any files.

.topic 9
Specifies the text that prefixes the link to the images. See the help file for more information on the available options.

.topic 16
Specifies the number of rows of images per page.

.topic 3
Opens a dialog box to browse for a folder to save your output to.

.topic 18
Causes the output not to overwrite existing files.

.topic 6
Specifies the image format for saving thumbnails.

.topic 8
Specifies the type of text that prefixes the link to the thumbnails. See the help file for more information on the available options.

.topic 11
Automatically launches a Web browser to display your HTML album.

.topic 4
Specifies the internal title of the HTML album.

.topic 2
Opens the Page Properties dialog box where you can select display colors for your HTML page.

.topic 10
Specifies the text that prefixes the link to the thumbnails. See the help file for more information on the available options.

.topic 15
Specifies the number of columns of images per page.

.topic 17
Causes the output to overwrite existing files.

.topic 12
Copies the source images to the output folder. If this option is cleared, your  Source Prefix is automatically set to File Path.

.topic 5
Contains the path of the folder that the output is saved to.

.topic 1
Opens the Settings dialox box for the selected image format (if applicable). Not all image formats have settings.